Bug 179670 - security/courierpasswd: MASTER_SITES reorganized, distfile unfetchable
security/courierpasswd: MASTER_SITES reorganized, distfile unfetchable
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: John Marino
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 08:10 UTC by draco
Modified: 2013-07-27 17:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description draco 2013-06-18 08:10:01 UTC
the MASTER_SITES is defined as http://www.arda.homeunix.net/store/ but it redirects to http://www.arda.homeunix.net/downloads/

The result is the distfile is unfetchable (and not stored locally on FreeBSD).

Fix: 

Probably change MASTER_SITES to http://www.arda.homeunix.net/downloads/ will fix it.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-18 08:10:13 UTC
Maintainer of security/courierpasswd,

Please note that PR ports/179670 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179670

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-18 08:10:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 draco 2013-06-18 08:45:37 UTC
Note that security/courieruserinfo is affected too.
I think the maintainer for both ports is the same.
Comment 4 John Marino freebsd_committer 2013-07-27 17:21:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 5 dfilter freebsd_committer 2013-07-27 17:45:40 UTC
Author: marino
Date: Sat Jul 27 16:45:26 2013
New Revision: 323796
URL: http://svnweb.freebsd.org/changeset/ports/323796

Log:
  security/courier(passd,passwd,userinfo): Unbreak fetch and cleanup
  
  The maintainer provided a new download location for his three ports after
  a site reorganization broke fetching for two of them.  In addition to
  updating the MASTER_SITES, other cleanups where performed:
  
    * Trim Headers
    * Convert USE_GMAKE to USES+=gmake
    * Convert NOPORTDOCS to options DOCS
    * Removed unterminated string in courierpassd makefile
    * Removed empty strings in courierpassd makefile
  
  PR:		ports/179670
  Approved by:	bapt / culot (mentors, implicit)

Modified:
  head/security/courierpassd/Makefile
  head/security/courierpasswd/Makefile
  head/security/courieruserinfo/Makefile

Modified: head/security/courierpassd/Makefile
==============================================================================
--- head/security/courierpassd/Makefile	Sat Jul 27 16:06:25 2013	(r323795)
+++ head/security/courierpassd/Makefile	Sat Jul 27 16:45:26 2013	(r323796)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:	courierpassd
-# Date created:				26th July 2005
-# Whom:					Ade Lovett <ade@FreeBSD.org>
-#
+# Created by: Ade Lovett <ade@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	courierpassd
 PORTVERSION=	1.1.2
 CATEGORIES=	security mail
-#MASTER_SITES=	http://www.arda.homeunix.net/store/
-MASTER_SITES=	${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	ade
+MASTER_SITES=	http://www.arda.homeunix.net/software-downloads/ \
+		LOCAL/ade
 
 MAINTAINER=	andrew@arda.homeunix.net
 COMMENT=	User authentication and password changing daemon utility
@@ -28,25 +24,29 @@ CONFIGURE_ARGS+=--with-minuid=${MINUID} 
 
 MAN8=		courierpassd.8
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 pre-everything::
-	@${ECHO} ""
+	@${ECHO}
 	@${ECHO} "###########################################################"
-	@${ECHO} ""
+	@${ECHO}
 	@${ECHO} "The following build options are available:"
-	@${ECHO} "
+	@${ECHO}
 	@${ECHO} "  MINUID=uid"
 	@${ECHO} "	Accounts with uids below this value cannot have"
 	@${ECHO} "	their passwords changed. Default value is 100."
-	@${ECHO} ""
+	@${ECHO}
 	@${ECHO} "  DELAY=sec"
 	@${ECHO} "	Set the delay after a password change failure."
 	@${ECHO} "	Default is 3 seconds."
-	@${ECHO} ""
+	@${ECHO}
 	@${ECHO} "###########################################################"
-	@${ECHO} ""
+	@${ECHO}
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/AUTHORS ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${DOCSDIR}

Modified: head/security/courierpasswd/Makefile
==============================================================================
--- head/security/courierpasswd/Makefile	Sat Jul 27 16:06:25 2013	(r323795)
+++ head/security/courierpasswd/Makefile	Sat Jul 27 16:45:26 2013	(r323796)
@@ -1,13 +1,10 @@
-# New ports collection makefile for:	courierpasswd
-# Date created:				23th April 2006
-# Whom:					Andrew St. Jean <andrew@arda.homeunix.net>
-#
+# Created by: Andrew St. Jean <andrew@arda.homeunix.net>
 # $FreeBSD$
 
 PORTNAME=	courierpasswd
 PORTVERSION=	1.1.2
 CATEGORIES=	security mail
-MASTER_SITES=	http://www.arda.homeunix.net/store/
+MASTER_SITES=	http://www.arda.homeunix.net/software-downloads/
 
 MAINTAINER=	andrew@arda.homeunix.net
 COMMENT=	User authentication and password changing utility
@@ -16,7 +13,7 @@ BUILD_DEPENDS=	courierauthconfig:${PORTS
 RUN_DEPENDS=	courierauthconfig:${PORTSDIR}/security/courier-authlib-base
 
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
+USES=		gmake
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
@@ -26,6 +23,10 @@ CONFIGURE_ARGS+=	--with-minuid=${MINUID}
 
 MAN8=		courierpasswd.8
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 pre-fetch:
 	@${ECHO} ""
 	@${ECHO} "#############################################################"
@@ -40,7 +41,7 @@ pre-fetch:
 	@${ECHO} ""
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/AUTHORS ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${DOCSDIR}

Modified: head/security/courieruserinfo/Makefile
==============================================================================
--- head/security/courieruserinfo/Makefile	Sat Jul 27 16:06:25 2013	(r323795)
+++ head/security/courieruserinfo/Makefile	Sat Jul 27 16:45:26 2013	(r323796)
@@ -1,13 +1,10 @@
-# New ports collection makefile for:	courieruserinfo
-# Date created:				27th July 2006
-# Whom:					Andrew St. Jean <andrew@arda.homeunix.net>
-#
+# Created by: Andrew St. Jean <andrew@arda.homeunix.net>
 # $FreeBSD$
 
 PORTNAME=	courieruserinfo
 PORTVERSION=	1.1.2
 CATEGORIES=	security mail
-MASTER_SITES=	http://www.arda.homeunix.net/store/
+MASTER_SITES=	http://www.arda.homeunix.net/software-downloads/
 
 MAINTAINER=	andrew@arda.homeunix.net
 COMMENT=	User account information retrieval utility
@@ -16,14 +13,18 @@ BUILD_DEPENDS=	courierauthconfig:${PORTS
 RUN_DEPENDS=	courierauthconfig:${PORTSDIR}/security/courier-authlib-base
 
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
+USES=		gmake
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 MAN8=		courieruserinfo.8
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/AUTHORS ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${DOCSDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 John Marino freebsd_committer 2013-07-27 17:52:23 UTC
State Changed
From-To: feedback->closed

New MASTER_SITES location received via private email, comitted with 
additional cleanup.  Thanks!